XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
xcb_xkb_get_kbd_by_name_replies_t::_geometry Struct Reference
Collaboration diagram for xcb_xkb_get_kbd_by_name_replies_t::_geometry:
[legend]

## Data Fields

uint8_t | geometryDeviceID
xcb_atom_t | name
uint8_t | geometryFound
uint8_t | pad0
uint16_t | widthMM
uint16_t | heightMM
uint16_t | nProperties
uint16_t | nColors
uint16_t | nShapes
uint16_t | nSections
uint16_t | nDoodads
uint16_t | nKeyAliases
uint8_t | baseColorNdx
uint8_t | labelColorNdx
xcb_xkb_counted_string_16_t * | labelFont
xcb_xkb_property_t * | properties
xcb_xkb_counted_string_16_t * | colors
xcb_xkb_shape_t * | shapes
xcb_xkb_section_t * | sections
xcb_xkb_doodad_t * | doodads
xcb_xkb_key_alias_t * | keyAliases

The documentation for this struct was generated from the following file:

- xkb.h